<?php
 
 
 

namespace PhpWA\Protocol\Proto\AIRichResponseLatexMetadata;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class AIRichResponseLatexExpression extends \Google\Protobuf\Internal\Message
{
    


    protected $latexExpression = null;
    


    protected $url = null;
    


    protected $width = null;
    


    protected $height = null;
    


    protected $fontHeight = null;
    


    protected $imageTopPadding = null;
    


    protected $imageLeadingPadding = null;
    


    protected $imageBottomPadding = null;
    


    protected $imageTrailingPadding = null;

    
















    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getLatexExpression()
    {
        return isset($this->latexExpression) ? $this->latexExpression : '';
    }

    public function hasLatexExpression()
    {
        return isset($this->latexExpression);
    }

    public function clearLatexExpression()
    {
        unset($this->latexExpression);
    }

    




    public function setLatexExpression($var)
    {
        GPBUtil::checkString($var, True);
        $this->latexExpression = $var;

        return $this;
    }

    



    public function getUrl()
    {
        return isset($this->url) ? $this->url : '';
    }

    public function hasUrl()
    {
        return isset($this->url);
    }

    public function clearUrl()
    {
        unset($this->url);
    }

    




    public function setUrl($var)
    {
        GPBUtil::checkString($var, True);
        $this->url = $var;

        return $this;
    }

    



    public function getWidth()
    {
        return isset($this->width) ? $this->width : 0.0;
    }

    public function hasWidth()
    {
        return isset($this->width);
    }

    public function clearWidth()
    {
        unset($this->width);
    }

    




    public function setWidth($var)
    {
        GPBUtil::checkDouble($var);
        $this->width = $var;

        return $this;
    }

    



    public function getHeight()
    {
        return isset($this->height) ? $this->height : 0.0;
    }

    public function hasHeight()
    {
        return isset($this->height);
    }

    public function clearHeight()
    {
        unset($this->height);
    }

    




    public function setHeight($var)
    {
        GPBUtil::checkDouble($var);
        $this->height = $var;

        return $this;
    }

    



    public function getFontHeight()
    {
        return isset($this->fontHeight) ? $this->fontHeight : 0.0;
    }

    public function hasFontHeight()
    {
        return isset($this->fontHeight);
    }

    public function clearFontHeight()
    {
        unset($this->fontHeight);
    }

    




    public function setFontHeight($var)
    {
        GPBUtil::checkDouble($var);
        $this->fontHeight = $var;

        return $this;
    }

    



    public function getImageTopPadding()
    {
        return isset($this->imageTopPadding) ? $this->imageTopPadding : 0.0;
    }

    public function hasImageTopPadding()
    {
        return isset($this->imageTopPadding);
    }

    public function clearImageTopPadding()
    {
        unset($this->imageTopPadding);
    }

    




    public function setImageTopPadding($var)
    {
        GPBUtil::checkDouble($var);
        $this->imageTopPadding = $var;

        return $this;
    }

    



    public function getImageLeadingPadding()
    {
        return isset($this->imageLeadingPadding) ? $this->imageLeadingPadding : 0.0;
    }

    public function hasImageLeadingPadding()
    {
        return isset($this->imageLeadingPadding);
    }

    public function clearImageLeadingPadding()
    {
        unset($this->imageLeadingPadding);
    }

    




    public function setImageLeadingPadding($var)
    {
        GPBUtil::checkDouble($var);
        $this->imageLeadingPadding = $var;

        return $this;
    }

    



    public function getImageBottomPadding()
    {
        return isset($this->imageBottomPadding) ? $this->imageBottomPadding : 0.0;
    }

    public function hasImageBottomPadding()
    {
        return isset($this->imageBottomPadding);
    }

    public function clearImageBottomPadding()
    {
        unset($this->imageBottomPadding);
    }

    




    public function setImageBottomPadding($var)
    {
        GPBUtil::checkDouble($var);
        $this->imageBottomPadding = $var;

        return $this;
    }

    



    public function getImageTrailingPadding()
    {
        return isset($this->imageTrailingPadding) ? $this->imageTrailingPadding : 0.0;
    }

    public function hasImageTrailingPadding()
    {
        return isset($this->imageTrailingPadding);
    }

    public function clearImageTrailingPadding()
    {
        unset($this->imageTrailingPadding);
    }

    




    public function setImageTrailingPadding($var)
    {
        GPBUtil::checkDouble($var);
        $this->imageTrailingPadding = $var;

        return $this;
    }

}

